<template>
  <card>
    <!-- Card header -->
    <div>
    <h3 slot="header" class="mb-3.5">Project Information : TRTP-2398 - Tengeh Reservoir Tender Project </h3>
       <div class="text-right">
          <router-link to="/projectEdit">
              <base-button size="sm" type="primary">Edit</base-button>
          </router-link>
       </div>
    </div>
    <br>
    <form class="needs-validation"
          @submit.prevent="submit">
      <div class="form-row">
        <b-col md="2">
          <base-input label="Project Code"
                      name="Project Code"
                      placeholder="Project Code"
                      v-model="model.project_code" disabled>
          </base-input>
        </b-col>

        <b-col md="7">
          <base-input label="Project Name"
                      name="Project Name"
                      placeholder="Project Name"
                      v-model="model.project_name" disabled>
          </base-input>
        </b-col>

        <b-col md="3">
          <base-input label="Project Manager"
                      name="Project Manager"
                      v-model="model.project_manager">
            <select class="form-control" disabled>
              <option disabled>-- Please Select A Project Manager --</option>
              <option Selected>James</option>
              <option>Alex</option>
              <option>Aida</option>
              <option>Nicole</option>
            </select>
          </base-input>
        </b-col>
      </div>
      &nbsp;
      <div class="form-row">
        <b-col md="6">
          <base-input label="Project Developer"
                      name="Project Developer"
                      v-model="model.project_developer">
          <select class="form-control" disabled>
              <option disabled>-- Please Select A Developer --</option>
              <option>Far East Organization.</option>
              <option Selected>SembCorp Solar Singapore</option>
              <option>El Development Pte Ltd</option>
              <option>MCC Land</option>
          </select>
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="Status"
                      name="Status"
                      v-model="model.project_status" >
          <select class="form-control" disabled>
              <option  disabled>-- Please Select A Status --</option>
              <option Selected>Pending</option>
              <option>In Progress</option>
              <option>On Schedule</option>
              <option>Completed</option>
              <option>Delayed</option>
          </select>
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="Progress %"
                      name="Progress"
                      placeholder="Progress"
                      v-model="model.project_progress" disabled>
          </base-input>
        </b-col>
      </div>
      &nbsp;
      <div class="form-row">
        <b-col md="3">
          <base-input label="Start Date"
                      name="Start Date"
                      type="date"
                      v-model="model.project_start_date" disabled>
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="End Date"
                      name="End Date"
                      type="date"
                      v-model="model.project_end_date" disabled>
          </base-input>
        </b-col>

        <b-col md="3">
          <base-input label="PPA Start Date"
                      name="PPAStart Date"
                      type="date"
                      v-model="model.project_ppa_start_date" disabled>
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="PPA Contractual COD"
                      name="PPA Contractual COD"
                      type="date"
                      v-model="model.project_ppa_cod_date" disabled>
          </base-input>
        </b-col>
      </div>

      <!-- <base-button type="primary" native-type="submit" @click="notifyVue('default')">Update Project</base-button>
      <router-link to="/project">
        <base-button type="primary">Cancel</base-button>
      </router-link> -->
    </form>
  </card>
</template>
<script>
  import BaseSlider from '@/components/BaseSlider'
  export default {
    name: 'project-View-form',
    components: {
      BaseSlider
    },
    data() {
      return {
        model: {
          project_code: 'TRTP-2398',
          project_name: 'Tengeh Reservoir Tender Project',
          project_manager: '',
          project_progress: 34,
          project_start_date: '2021-02-10',
          project_end_date: '2022-07-01',
          project_ppa_start_date: '2021-01-01',
          project_ppa_cod_date: '2021-07-01',
          agree: false
        }
      }
    },
    methods: {
      async submit() {
              this.$router.push('project')
      },
      notifyVue(type = 'default') {
        // console.log(type)
        this.$notify({
          message:
            '<b>Update Project : (' + this.model.project_code +' - ' + this.model.project_name + ')</b> - Successfully Updated.',
          timeout: 10000,
          icon: 'ni ni-bell-55',
          type
        });
      },
    }
  }
</script>
<style>
</style>
